//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <jpeg.hpp>
//---------------------------------------------------------------------------
void OpenPort(void);                    // открытие порта
void ClosePort(void);                   // закрытие порта
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TImage *Image1;
        TLabel *Label2;
        TLabel *Label16;
        TEdit *Edit1;
        TButton *Button1;
        TButton *Button2;
        TComboBox *ComboBox1;
        TButton *Button3;
        TEdit *Edit2;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Open1;
        TMenuItem *Save1;
        TMenuItem *SaveLogas1;
        TMenuItem *N4;
        TMenuItem *Exit1;
        TMenuItem *ChipSelect1;
        TMenuItem *Help1;
        TMenuItem *About1;
        TMenuItem *LoadProgramfromFile1;
        TMenuItem *SaveProgramtoFile1;
        TMenuItem *N1;
        TMenuItem *AVRtiny1;
        TMenuItem *tiny23131;
        TPanel *Panel3;
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TRichEdit *RichEdit1;
        TLabel *Label3;
        TRichEdit *RichEdit2;
        TLabel *Label4;
        TLabel *Label5;
        TRichEdit *RichEdit3;
        TLabel *Label6;
        TRichEdit *RichEdit4;
        TLabel *Label7;
        TRichEdit *RichEdit5;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TMemo *Memo1;
        TButton *Button4;
        TButton *Button8;
        TButton *Button5;
        TButton *Button9;
        TButton *Button6;
        TButton *Button10;
        TButton *Button7;
        TButton *Button11;
        TMenuItem *Edit3;
        TMenuItem *LockFuses1;
        TMenuItem *AT901;
        TMenuItem *AT90S12001;
        TMenuItem *AT90S23131;
        TMenuItem *AT90S23231;
        TMenuItem *AT90S23431;
        TMenuItem *AT90S23331;
        TMenuItem *AT90S44331;
        TMenuItem *AT90S44141;
        TMenuItem *AT90S85151;
        TMenuItem *AT90S44341;
        TMenuItem *AT90S85351;
        TMenuItem *AT90CAN321;
        TMenuItem *AT90CAN641;
        TMenuItem *AT90CAN1281;
        TMenuItem *ATtiny121;
        TMenuItem *ATtiny131;
        TMenuItem *ATtiny151;
        TTrackBar *TrackBar1;
        TLabel *Label1;
        TMenuItem *ATtiny221;
        TMenuItem *ATtiny251;
        TMenuItem *ATtiny451;
        TMenuItem *ATtiny851;
        TMenuItem *ATtiny261;
        TMenuItem *ATtiny2611;
        TMenuItem *ATtiny4611;
        TMenuItem *ATtiny8611;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall SaveLogas1Click(TObject *Sender);
        void __fastcall About1Click(TObject *Sender);
        void __fastcall RichEditsKeyPress(TObject *Sender, char &Key);
        void __fastcall Edit2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall tiny23131Click(TObject *Sender);
        void __fastcall RichEdit1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit3KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit4KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall LoadProgramfromFile1Click(TObject *Sender);
        void __fastcall Open1Click(TObject *Sender);
        void __fastcall SaveProgramtoFile1Click(TObject *Sender);
        void __fastcall Save1Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button11Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button9Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button8Click(TObject *Sender);
        void __fastcall LockFuses1Click(TObject *Sender);
        void __fastcall AT90S12001Click(TObject *Sender);
        void __fastcall AT90S23131Click(TObject *Sender);
        void __fastcall AT90S23231Click(TObject *Sender);
        void __fastcall AT90S23431Click(TObject *Sender);
        void __fastcall AT90S23331Click(TObject *Sender);
        void __fastcall AT90S44331Click(TObject *Sender);
        void __fastcall AT90S44141Click(TObject *Sender);
        void __fastcall AT90S85151Click(TObject *Sender);
        void __fastcall AT90S44341Click(TObject *Sender);
        void __fastcall AT90S85351Click(TObject *Sender);
        void __fastcall AT90CAN321Click(TObject *Sender);
        void __fastcall AT90CAN641Click(TObject *Sender);
        void __fastcall AT90CAN1281Click(TObject *Sender);
        void __fastcall ATtiny121Click(TObject *Sender);
        void __fastcall ATtiny131Click(TObject *Sender);
        void __fastcall ATtiny151Click(TObject *Sender);
        void __fastcall TrackBar1Change(TObject *Sender);
        void __fastcall ATtiny221Click(TObject *Sender);
        void __fastcall ATtiny251Click(TObject *Sender);
        void __fastcall ATtiny451Click(TObject *Sender);
        void __fastcall ATtiny851Click(TObject *Sender);
        void __fastcall ATtiny261Click(TObject *Sender);
        void __fastcall ATtiny2611Click(TObject *Sender);
        void __fastcall ATtiny4611Click(TObject *Sender);
        void __fastcall ATtiny8611Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
extern unsigned int Delays;
//---------------------------------------------------------------------------
#endif
